Subject: Support for WinRe partition

From: Hans-Joachim Baader <[email-masked]>
Date: Thu, 28 Jun 2018 10:36:45 +0000

Hello maintainers,

Windows 10 uses a recovery partition which is sometimes marked with
partition type 0x27 on MBR systems. I don't know why some vendors
use MBR rather than GPT, but it's a fact.

0x27 is in fact defined as Windows RE hidden partition (see
https://www.win.tue.nl/~aeb/partitions/partition_types-1.html).

I haven't found a way to create a partition with this ID in parted. I used
parted 3.2 which is 4 years old but I don't think is has been changed
in Git. For example when I create a NTFS partition and do

set 3 hidden on

I get ID 0x17. Perhaps a new flag is needed, e.g.

set 3 winre on

Do you think that parted should support that? Perhaps I could contribute
a patch if it's not supported yet.

Best regards,
Hans-Joachim Baader